#version 330

layout (location = 0) in vec3 VertexPosition;
layout (location = 1) in vec2 VertexTexCoord;
layout (location = 2) in vec3 VertexNormal;

uniform mat4 ModelViewMatrix;

out VertexData
{
	vec4 position;
} VertexOut;

void main()
{
	VertexOut.position = ModelViewMatrix * vec4(VertexPosition,1.0);
}